aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc')
-rw-r--r--recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc27
1 files changed, 27 insertions, 0 deletions
diff --git a/recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc b/recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc
new file mode 100644
index 0000000..d96ed43
--- /dev/null
+++ b/recipes-opie/opie-wirelessapplet/opie-wirelessapplet.inc
@@ -0,0 +1,27 @@
+DESCRIPTION = "Wireless Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "wirelessapplet"
+
+EXCLUDE_FROM_WORLD = "1"
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /usr/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/usr/bin/qcop QPE/TaskBar "reloadApplets()"
+}